Get an officer
curl --request GET \
--url https://api.gabin.ai/v1/officers/{id} \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.gabin.ai/v1/officers/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.gabin.ai/v1/officers/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"data": {
"id": "<string>",
"first_names": "<string>",
"last_name": "<string>",
"usage_name": "<string>",
"birth_month": "<string>",
"mandates": [
{
"role": "<string>",
"active": true,
"company": {
"siren": "<string>",
"name": "<string>",
"naf_code": "<string>",
"naf_label": "<string>",
"sector": "<string>",
"created_on": "<string>",
"active": true,
"partial_diffusion": true,
"gabin_url": "<string>",
"legal_form": "<string>",
"headcount_range": "11",
"headquarters": {
"address": "<string>",
"postal_code": "<string>",
"city": "<string>"
},
"latest_revenue": 123,
"latest_revenue_year_end": "<string>"
}
}
],
"mandates_incomplete": true,
"relations": {
"nodes": [
{
"id": "<string>",
"type": "officer",
"name": "<string>",
"level": 0
}
],
"links": [
{
"source": "<string>",
"target": "<string>",
"role": "<string>"
}
]
}
},
"meta": {}
}Officers
Get an officer
An officer (person) by id: mandates in every company where the same identity (name, first names, birth month) appears, and a bounded relationship graph (their companies and the other officers of those companies). Companies under partial diffusion are never linked to a person.
GET
/
v1
/
officers
/
{id}
Get an officer
curl --request GET \
--url https://api.gabin.ai/v1/officers/{id} \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.gabin.ai/v1/officers/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.gabin.ai/v1/officers/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"data": {
"id": "<string>",
"first_names": "<string>",
"last_name": "<string>",
"usage_name": "<string>",
"birth_month": "<string>",
"mandates": [
{
"role": "<string>",
"active": true,
"company": {
"siren": "<string>",
"name": "<string>",
"naf_code": "<string>",
"naf_label": "<string>",
"sector": "<string>",
"created_on": "<string>",
"active": true,
"partial_diffusion": true,
"gabin_url": "<string>",
"legal_form": "<string>",
"headcount_range": "11",
"headquarters": {
"address": "<string>",
"postal_code": "<string>",
"city": "<string>"
},
"latest_revenue": 123,
"latest_revenue_year_end": "<string>"
}
}
],
"mandates_incomplete": true,
"relations": {
"nodes": [
{
"id": "<string>",
"type": "officer",
"name": "<string>",
"level": 0
}
],
"links": [
{
"source": "<string>",
"target": "<string>",
"role": "<string>"
}
]
}
},
"meta": {}
}Authorizations
API key gab_live_… or OAuth access token gat_….
Path Parameters
Officer id: SIREN of one of their mandates + 8 hex characters. Stable for the same person. Example: "552100554a1b2c3d4".
Pattern:
^\d{9}[0-9a-fA-F]{8}$⌘I